Debian Bug report logs - #702079
php5-sybase: mssql connector doesn't work with Azure SQL

version graph

Package: php5-sybase; Maintainer for php5-sybase is Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>; Source for php5-sybase is src:php5.

Reported by: mah@everybody.org (Mark A. Hershberger)

Date: Sat, 2 Mar 2013 15:18:04 UTC

Severity: important

Found in version php5/5.5.0~alpha5-1

Fixed in versions php5/5.5.0~rc3+dfsg-1, php5/5.4.4-14+deb7u1

Done: Ondřej Surý <ondrej@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.php.net/bug.php?id=64338

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mah@everybody.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#702079; Package php5-sybase. (Sat, 02 Mar 2013 15:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to mah@everybody.org (Mark A. Hershberger):
New Bug report received and forwarded. Copy sent to mah@everybody.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 15:18:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: mah@everybody.org (Mark A. Hershberger)
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: php5-sybase: mssql connector doesn't work with Azure SQL
Date: Sat, 02 Mar 2013 10:15:57 -0500
Package: php5-sybase
Version: 5.5.0~alpha5-1
Severity: important

The SQL database available on Azure apparently does not have the same
connection semantics as SQL Server.  “use DATABASE” is not possible — it
returns an error saying that you should open a new connection if you
want a new database.

This is confusing when you are using the DBLIB connector because it is
the DBLIB connection code that does the “use”, not the developer's PHP
code.

The FreeTDS people recognized this a while back:

    About a year ago we added the DBSETLDBNAME macro as a way to set the
    dbname in the db-lib LOGINREC.  That sets the dbname in the login
    packet, obviating the need for "USE dbname".

    http://lists.ibiblio.org/pipermail/freetds/2012q4/028168.html

The attached patch makes use of DBSETLDBNAME and eliminates the USE.

-- System Information:
Debian Release: 7.0
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'unstable'), (650, 'testing'), (550, 'experimental'), (500, 'testing-updates'), (500, 'stable-updates')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages php5-sybase depends on:
ii  dpkg                                   1.16.9
ii  libapache2-mod-php5 [phpapi-20121212]  5.5.0~alpha5-1
ii  libc6                                  2.17-0experimental2
ii  libsybdb5                              0.91-2
ii  php5-cli [phpapi-20121212]             5.5.0~alpha5-1
ii  php5-common                            5.5.0~alpha5-1
ii  ucf                                    3.0025+nmu3

php5-sybase recommends no packages.

php5-sybase suggests no packages.

-- no debconf information

diff --git a/debian/changelog b/debian/changelog
index c4261fc..2eb3e89 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+php5 (5.5.0~alpha5-2) experimental; urgency=low
+
+  * Allow pdo_dblib to connect to Azure SQL by putting the dbname in the
+    login packet.
+
+ -- Mark A. Hershberger <mah@everybody.org>  Sat, 02 Mar 2013 10:09:55 -0500
+
 php5 (5.5.0~alpha5-1) experimental; urgency=low
 
   * Imported Upstream version 5.5.0~alpha5
diff --git a/debian/patches/pdo_dblib_driver.patch b/debian/patches/pdo_dblib_driver.patch
new file mode 100644
index 0000000..7538d0d
--- /dev/null
+++ b/debian/patches/pdo_dblib_driver.patch
@@ -0,0 +1,24 @@
+This allows the pdo_dblib driver to access Azure SQL
+
+--- a/ext/pdo_dblib/dblib_driver.c
++++ b/ext/pdo_dblib/dblib_driver.c
+@@ -288,6 +288,9 @@ static int pdo_dblib_handle_factory(pdo_dbh_t *dbh, zval *driver_options TSRMLS_
+ 	if (dbh->password) {
+ 		DBSETLPWD(H->login, dbh->password);
+ 	}
++	if (vars[3].optval) {
++		DBSETLDBNAME(H->login, vars[3].optval);
++	}
+ 	
+ #if !PHP_DBLIB_IS_MSSQL
+ 	if (vars[0].optval) {
+@@ -317,9 +320,6 @@ static int pdo_dblib_handle_factory(pdo_dbh_t *dbh, zval *driver_options TSRMLS_
+ 	/* allow double quoted indentifiers */
+ 	DBSETOPT(H->link, DBQUOTEDIDENT, NULL);
+ 
+-	if (vars[3].optval && FAIL == dbuse(H->link, vars[3].optval)) {
+-		goto cleanup;
+-	}
+ 
+ 	ret = 1;
+ 	dbh->max_escaped_char_length = 2;
diff --git a/debian/patches/series b/debian/patches/series
index cd94e1a..f65eff2 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -52,3 +52,4 @@ php-5.4.0-dlopen.patch
 php-fpm-m68k.patch
 expose_all_built_and_installed_apis.patch
 use_updated_install-pear-nozlib.phar.patch
+pdo_dblib_driver.patch



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#702079; Package php5-sybase. (Sat, 02 Mar 2013 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark A. Hershberger" <mah@everybody.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 15:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 702079@bugs.debian.org (full text, mbox):

From: "Mark A. Hershberger" <mah@everybody.org>
To: 702079@bugs.debian.org
Subject: upstream report
Date: Sat, 02 Mar 2013 10:34:07 -0500
https://bugs.php.net/bug.php?id=64338



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#702079; Package php5-sybase. (Sat, 02 Mar 2013 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark A. Hershberger" <mah@everybody.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 15:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 702079@bugs.debian.org (full text, mbox):

From: "Mark A. Hershberger" <mah@everybody.org>
To: 702079@bugs.debian.org
Subject: Bug#702079: php5-sybase: mssql connector doesn't work with Azure SQL
Date: Sat, 02 Mar 2013 10:42:15 -0500
This bug has been filed upstream as #64338:
https://bugs.php.net/bug.php?id=64338



Set Bug forwarded-to-address to 'https://bugs.php.net/bug.php?id=64338'. Request was from Olivier Berger <obergix@debian.org> to control@bugs.debian.org. (Sat, 02 Mar 2013 15:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#702079; Package php5-sybase. (Sat, 02 Mar 2013 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 16:21:03 GMT) Full text and rfc822 format available.

Message #22 received at 702079@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: "Mark A. Hershberger" <mah@everybody.org>, 702079@bugs.debian.org
Subject: Re: [php-maint] Bug#702079: php5-sybase: mssql connector doesn't work with Azure SQL
Date: Sat, 2 Mar 2013 17:16:12 +0100
Does it also apply to 5.4.x? Or just 5.5.0?

On Sat, Mar 2, 2013 at 4:42 PM, Mark A. Hershberger <mah@everybody.org> wrote:
> This bug has been filed upstream as #64338:
> https://bugs.php.net/bug.php?id=64338
>
> _______________________________________________
> pkg-php-maint mailing list
> pkg-php-maint@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-php-maint



--
Ondřej Surý <ondrej@sury.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>:
Bug#702079; Package php5-sybase. (Sat, 02 Mar 2013 16:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mark A. Hershberger" <mah@everybody.org>:
Extra info received and forwarded to list. Copy sent to Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>. (Sat, 02 Mar 2013 16:24:09 GMT) Full text and rfc822 format available.

Message #27 received at 702079@bugs.debian.org (full text, mbox):

From: "Mark A. Hershberger" <mah@everybody.org>
To: Ondřej Surý <ondrej@debian.org>
Cc: 702079@bugs.debian.org
Subject: Re: [php-maint] Bug#702079: php5-sybase: mssql connector doesn't work with Azure SQL
Date: Sat, 02 Mar 2013 11:22:12 -0500
On Sat 02 Mar 2013 11:16:12 AM EST, Ondřej Surý wrote:
> Does it also apply to 5.4.x? Or just 5.5.0?

The dblib code is essentially unchanged in that area.  I think it will 
apply, but I'm working on compiling this now.

--
http://hexmode.com/

Many that live deserve death. And some that die deserve life. Can you
    give it to them? Then do not be too eager to deal out death in
    judgement. For even the very wise cannot see all ends.
        -- J.R.R. Tolkien, The Fellowship of the Ring




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Thu, 23 May 2013 22:51:50 GMT) Full text and rfc822 format available.

Notification sent to mah@everybody.org (Mark A. Hershberger):
Bug acknowledged by developer. (Thu, 23 May 2013 22:51:50 GMT) Full text and rfc822 format available.

Message #32 received at 702079-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 702079-close@bugs.debian.org
Subject: Bug#702079: fixed in php5 5.4.4-14+deb7u1
Date: Thu, 23 May 2013 22:47:08 +0000
Source: php5
Source-Version: 5.4.4-14+deb7u1

We believe that the bug you reported is fixed in the latest version of
php5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702079@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated php5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 May 2013 18:15:49 +0200
Source: php5
Binary: php5 php5-common libapache2-mod-php5 libapache2-mod-php5filter php5-cgi php5-cli php5-fpm libphp5-embed php5-dev php5-dbg php-pear php5-curl php5-enchant php5-gd php5-gmp php5-imap php5-interbase php5-intl php5-ldap php5-mcrypt php5-mysql php5-mysqlnd php5-odbc php5-pgsql php5-pspell php5-recode php5-snmp php5-sqlite php5-sybase php5-tidy php5-xmlrpc php5-xsl
Architecture: source amd64 all
Version: 5.4.4-14+deb7u1
Distribution: stable
Urgency: low
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 libapache2-mod-php5 - server-side, HTML-embedded scripting language (Apache 2 module)
 libapache2-mod-php5filter - server-side, HTML-embedded scripting language (apache 2 filter mo
 libphp5-embed - HTML-embedded scripting language (Embedded SAPI library)
 php-pear   - PEAR - PHP Extension and Application Repository
 php5       - server-side, HTML-embedded scripting language (metapackage)
 php5-cgi   - server-side, HTML-embedded scripting language (CGI binary)
 php5-cli   - command-line interpreter for the php5 scripting language
 php5-common - Common files for packages built from the php5 source
 php5-curl  - CURL module for php5
 php5-dbg   - Debug symbols for PHP5
 php5-dev   - Files for PHP5 module development
 php5-enchant - Enchant module for php5
 php5-fpm   - server-side, HTML-embedded scripting language (FPM-CGI binary)
 php5-gd    - GD module for php5
 php5-gmp   - GMP module for php5
 php5-imap  - IMAP module for php5
 php5-interbase - interbase/firebird module for php5
 php5-intl  - internationalisation module for php5
 php5-ldap  - LDAP module for php5
 php5-mcrypt - MCrypt module for php5
 php5-mysql - MySQL module for php5
 php5-mysqlnd - MySQL module for php5 (Native Driver)
 php5-odbc  - ODBC module for php5
 php5-pgsql - PostgreSQL module for php5
 php5-pspell - pspell module for php5
 php5-recode - recode module for php5
 php5-snmp  - SNMP module for php5
 php5-sqlite - SQLite module for php5
 php5-sybase - Sybase / MS SQL Server module for php5
 php5-tidy  - tidy module for php5
 php5-xmlrpc - XML-RPC module for php5
 php5-xsl   - XSL module for php5
Closes: 702079 703056 703504 706082
Changes: 
 php5 (5.4.4-14+deb7u1) stable; urgency=low
 .
   * Pull upstream fix for FPM drops connection while receiving some binary
     values in FastCGI requests (Closes: #703056)
   * Fix crash in garbage collection (patch courtesy of Michal Cihar)
     (Closes: #706082)
   * Update libmagic detection of MS Office documents (Closes: #703504)
   * Fix mssql connector to work with Azure SQL (Closes: #702079)
   * [CVE-2013-1824]: CVE-2013-1643 was incomplete fix; this pulls full
     upstream patch (5.4.4-14 already had all the relevant security parts)
Checksums-Sha1: 
 5d4fce77a4da9d6037797bbead22eeaa43a1c597 3738 php5_5.4.4-14+deb7u1.dsc
 989ef5f580a41dd831522117d54ef8446ec41469 199524 php5_5.4.4-14+deb7u1.diff.gz
 504b598f0d1c3882fac3aa3c7bbf9b97bb7a3866 586544 php5-common_5.4.4-14+deb7u1_amd64.deb
 2ebb16af0d28439b3345f0c386fd4555a0dace27 2664616 libapache2-mod-php5_5.4.4-14+deb7u1_amd64.deb
 8b2edaa714f4879ee590d58c71c9417edacc5588 2662984 libapache2-mod-php5filter_5.4.4-14+deb7u1_amd64.deb
 282bd76a3492fda5310ae5f1b61e1f725a07f3a4 5098764 php5-cgi_5.4.4-14+deb7u1_amd64.deb
 a9af9cbfa9e9ec0f2907c434e84ba45011a58f87 2556600 php5-cli_5.4.4-14+deb7u1_amd64.deb
 82422755ae8bc962c13308118e3c2620119f75c3 2588304 php5-fpm_5.4.4-14+deb7u1_amd64.deb
 a9972a5dccdf0680e780699d36b17e544bb65251 2661140 libphp5-embed_5.4.4-14+deb7u1_amd64.deb
 7394460c2a09f029bdd3633b0fb95e828f69917a 497884 php5-dev_5.4.4-14+deb7u1_amd64.deb
 203d49e6eab8d26240132f6e6b2be9f1300c3ebe 15953742 php5-dbg_5.4.4-14+deb7u1_amd64.deb
 8c8fbeb0cb00b5c6f473f25eff58fd739c654017 29086 php5-curl_5.4.4-14+deb7u1_amd64.deb
 8e0628ca07b7037669c04e538ffbcd675ca474eb 9924 php5-enchant_5.4.4-14+deb7u1_amd64.deb
 310f0ed455e57784141ad5321ec7d51369608b36 35698 php5-gd_5.4.4-14+deb7u1_amd64.deb
 68fb05baeaf3670d220542deb4b30c305ed3285a 17154 php5-gmp_5.4.4-14+deb7u1_amd64.deb
 2954a687cc445dc41f3037bc5406c178b7bb4aca 35588 php5-imap_5.4.4-14+deb7u1_amd64.deb
 dc0ab0bf58ab0e57258689810a0f4ceced34848a 49596 php5-interbase_5.4.4-14+deb7u1_amd64.deb
 6a5d72b68e5d4f88f3b17bb9115637fe8dd86bcb 71958 php5-intl_5.4.4-14+deb7u1_amd64.deb
 41f2a0bc7be32c809528d6486a9b223477bba3fb 21752 php5-ldap_5.4.4-14+deb7u1_amd64.deb
 472043d6614b27614a4ccb223b886d9ae48de923 16076 php5-mcrypt_5.4.4-14+deb7u1_amd64.deb
 68686769aaaec0b663102d60bf15d362faa975e5 80896 php5-mysql_5.4.4-14+deb7u1_amd64.deb
 0d814b601dcfa1211c6fb8ba34fdbea7d10a6394 162372 php5-mysqlnd_5.4.4-14+deb7u1_amd64.deb
 b047a95c81892f4a74a1a07be339b38022245ea0 36648 php5-odbc_5.4.4-14+deb7u1_amd64.deb
 3e7b4572c7ca941769a7edc4407af8599599c707 61434 php5-pgsql_5.4.4-14+deb7u1_amd64.deb
 fde49d4841471d2ddc8e51e5ac27490d7a07779a 8898 php5-pspell_5.4.4-14+deb7u1_amd64.deb
 e45a49f5ba2c0118d83ece74d9b11129f568a32c 5190 php5-recode_5.4.4-14+deb7u1_amd64.deb
 918c832b922a521d5169404e2136ac8cefddde22 21800 php5-snmp_5.4.4-14+deb7u1_amd64.deb
 93483eaa23bca1f18d98e58e93fd2b089c166a4f 30342 php5-sqlite_5.4.4-14+deb7u1_amd64.deb
 ec17abe254410b2eb70219b2a913e04871a9942b 28152 php5-sybase_5.4.4-14+deb7u1_amd64.deb
 21ba212abc6d340da40ef32348103636f3d610db 19594 php5-tidy_5.4.4-14+deb7u1_amd64.deb
 09e5f547d22dc7a7b1d8032910e58ce89cb91a5f 36282 php5-xmlrpc_5.4.4-14+deb7u1_amd64.deb
 3df0a74a30913ffca6abbf508a8993e555982361 15412 php5-xsl_5.4.4-14+deb7u1_amd64.deb
 97349a2f5935ac4c0341019be7aabaf6c6b2fbde 1026 php5_5.4.4-14+deb7u1_all.deb
 8644d441b65181a9151aa545a575629254df3565 367398 php-pear_5.4.4-14+deb7u1_all.deb
Checksums-Sha256: 
 32172120ff9cf46ec8fcb78581452ff3b638806a247fabf8c656a423f6dcbf88 3738 php5_5.4.4-14+deb7u1.dsc
 d07ce0d173ed2932885644d1e4fd9828a430aeaa65d115870a1fef25d105fede 199524 php5_5.4.4-14+deb7u1.diff.gz
 5b6334ba0d2c04388d4829356ae46d92cb4f9b9a68d5fc87d6aa4337ea7beec3 586544 php5-common_5.4.4-14+deb7u1_amd64.deb
 07ef6896c77b29a064eeecd0d57936cb0f539c2ff70a7d3fc1bb11c6f236e9cf 2664616 libapache2-mod-php5_5.4.4-14+deb7u1_amd64.deb
 5554a1427ece8d740a5cf767800502e6c7ea9fac6cc0eacb634408b1110cf563 2662984 libapache2-mod-php5filter_5.4.4-14+deb7u1_amd64.deb
 1eda3cb2d3ab921f0a545e3522f388b691f4903de6e9628ce261252cdfa0f9ec 5098764 php5-cgi_5.4.4-14+deb7u1_amd64.deb
 280879c087ad3a64014dc3d1b217c555dee61b8029a2b1d9eb21193581518332 2556600 php5-cli_5.4.4-14+deb7u1_amd64.deb
 dda65792e2430c0f11216c11088656f678e90604d1e30c0ca7ebf9c5a090c1fa 2588304 php5-fpm_5.4.4-14+deb7u1_amd64.deb
 54324683453478d9ba453d393cbd431e2b2292acc573bf995e19cdc76f532a41 2661140 libphp5-embed_5.4.4-14+deb7u1_amd64.deb
 4f6bbf709cc75172226765ae47d9311d7ae71c85401e7843972a136118bff1fb 497884 php5-dev_5.4.4-14+deb7u1_amd64.deb
 f92966b172076f853a394c65970f6f6ad58e43bf3d7d13e13ea737c6e0034e1b 15953742 php5-dbg_5.4.4-14+deb7u1_amd64.deb
 8258fcdfbfc60fadace960161d61c476999a4084f128df1a6e6fe4132a6cb17e 29086 php5-curl_5.4.4-14+deb7u1_amd64.deb
 30d6150cf682bb98fc0a7625cc5ae8ef97908483930f08ce49812755b814d7ab 9924 php5-enchant_5.4.4-14+deb7u1_amd64.deb
 f77543c8a0478d8855e966c2aefa4615f66f8d5772817e6513098edb536b607e 35698 php5-gd_5.4.4-14+deb7u1_amd64.deb
 f4b2c94b89659a6602d026e03fb4b54b1b2a37936f28ba91545bb0eb6ebddacc 17154 php5-gmp_5.4.4-14+deb7u1_amd64.deb
 17a21a34aecdd2c9db1acbffcb21b27c799e96b1831316030af46c0ad7670fea 35588 php5-imap_5.4.4-14+deb7u1_amd64.deb
 89eae845ad38dd94fc947e0b664dbe9435d72bd51f0845cc13215b054373484f 49596 php5-interbase_5.4.4-14+deb7u1_amd64.deb
 6d1e527c90c71b8980403ddd2a67dba7ac79cd7051f99aeeacf210f39f623ec8 71958 php5-intl_5.4.4-14+deb7u1_amd64.deb
 5158502d3e71972ead3ccdb51d1359dfa8b9f005c7bee7aaace56d5633d7929e 21752 php5-ldap_5.4.4-14+deb7u1_amd64.deb
 d855ad757db78be7e4be3fdb2ecc365d88375a3f68952c92f02c53932226bbe6 16076 php5-mcrypt_5.4.4-14+deb7u1_amd64.deb
 c1434c2b3593fd181731a4ca7a99e0e3e15cf1eb9c709048f44674057c8a5cc1 80896 php5-mysql_5.4.4-14+deb7u1_amd64.deb
 edded142a3c41b84d1adb6c1074b9aed7c72a99e37e0a30006b2496e356803f7 162372 php5-mysqlnd_5.4.4-14+deb7u1_amd64.deb
 fb5810b465daf5b26c9769a7e4467c02000d07d9eaed18863f55b587f18bae79 36648 php5-odbc_5.4.4-14+deb7u1_amd64.deb
 b9bae463b0536b86830d567a847e94681c3922726690d85daf1c2c2c12372e82 61434 php5-pgsql_5.4.4-14+deb7u1_amd64.deb
 ffad37dedcae71c5b72b22c93d6561e25b48f00fda2ca27f739057af4baf65d6 8898 php5-pspell_5.4.4-14+deb7u1_amd64.deb
 8037083728cbef0aff3fe41077f4c665207762656b49e024591dc30aba016b2f 5190 php5-recode_5.4.4-14+deb7u1_amd64.deb
 55d8f030cc5e7118123d7b62da439178225223ba7fd3bc237a46aa2838e8d367 21800 php5-snmp_5.4.4-14+deb7u1_amd64.deb
 83d0d375526be84a4e8da966283c07b207016b906508991a63e38b593263697b 30342 php5-sqlite_5.4.4-14+deb7u1_amd64.deb
 5ab4a573c32752c997fe657f3ea015d91c8c42937ec5843599f2b5ba9a5bf83e 28152 php5-sybase_5.4.4-14+deb7u1_amd64.deb
 9edfad452657d7f0714d76395bc950a2cb6f3689aa4925e5df11b95ea035a4fa 19594 php5-tidy_5.4.4-14+deb7u1_amd64.deb
 c1dc5aa4dd6a43a7b4dfdc31ad1383269d33e49661fcf98662d53d4f364d6fb6 36282 php5-xmlrpc_5.4.4-14+deb7u1_amd64.deb
 775fdef94755100086f541537cb5d9eed0fc8f0c909a48b21fb46a522c6f7a56 15412 php5-xsl_5.4.4-14+deb7u1_amd64.deb
 879e0c61b47e8bb459e2b5fb2ba7c32cf0062fe0fc2983b7f41780d739c50dca 1026 php5_5.4.4-14+deb7u1_all.deb
 ff946e5b741c4541adfae920b4613ab58cf43229ed0ca4f8714a06b5af4d90a9 367398 php-pear_5.4.4-14+deb7u1_all.deb
Files: 
 67cafe3e02daef1f2d95d00bacaa51c9 3738 php optional php5_5.4.4-14+deb7u1.dsc
 a64d3aa47d07dc842b55bdb418d2e7a2 199524 php optional php5_5.4.4-14+deb7u1.diff.gz
 9ac2a6637454151f5bfb9e691187f077 586544 php optional php5-common_5.4.4-14+deb7u1_amd64.deb
 ec0bc9d9e38c65e853789c31df1260c7 2664616 httpd optional libapache2-mod-php5_5.4.4-14+deb7u1_amd64.deb
 5d7a737ceabd2db3dd237c8232c03733 2662984 httpd extra libapache2-mod-php5filter_5.4.4-14+deb7u1_amd64.deb
 ab2c7529d641e9e6f80d3021be339d0f 5098764 php optional php5-cgi_5.4.4-14+deb7u1_amd64.deb
 553d73eca75055ed0d8902eaa490b083 2556600 php optional php5-cli_5.4.4-14+deb7u1_amd64.deb
 3fcf1be26383138793557f7e69dca99c 2588304 php optional php5-fpm_5.4.4-14+deb7u1_amd64.deb
 ed5e07207a770110eef0f57d3368b566 2661140 php optional libphp5-embed_5.4.4-14+deb7u1_amd64.deb
 dafccf63ee9ce57c91dd3583ee0c97ce 497884 php optional php5-dev_5.4.4-14+deb7u1_amd64.deb
 c1f2619f8a69b26646b27c5ab3b521e7 15953742 debug extra php5-dbg_5.4.4-14+deb7u1_amd64.deb
 c8819aca7288261c21ebdf1674bbefba 29086 php optional php5-curl_5.4.4-14+deb7u1_amd64.deb
 6f6e0f2744050b79e51a68f115fbb7d3 9924 php optional php5-enchant_5.4.4-14+deb7u1_amd64.deb
 7ed4894f75cb66eebf73498d258b3688 35698 php optional php5-gd_5.4.4-14+deb7u1_amd64.deb
 70eb891ce834e96f4be0c5289ec13097 17154 php optional php5-gmp_5.4.4-14+deb7u1_amd64.deb
 cfd042539113a16a6110404e5bad7a7b 35588 php optional php5-imap_5.4.4-14+deb7u1_amd64.deb
 ed6ac864c282ffcabbf9a1c4d24281cb 49596 php optional php5-interbase_5.4.4-14+deb7u1_amd64.deb
 7fceff64a9d22b038a115375614822e1 71958 php optional php5-intl_5.4.4-14+deb7u1_amd64.deb
 a4f82914c682faa7110dd37b39f8f419 21752 php optional php5-ldap_5.4.4-14+deb7u1_amd64.deb
 f644372575573b33de934e4f9abd27c6 16076 php optional php5-mcrypt_5.4.4-14+deb7u1_amd64.deb
 b2290b2c001863a0ab997c4ca739bc8e 80896 php optional php5-mysql_5.4.4-14+deb7u1_amd64.deb
 0cc1faf36669c92a3b73cd78eb838a26 162372 php extra php5-mysqlnd_5.4.4-14+deb7u1_amd64.deb
 ecfc671ef5aaf6148b2f3c7d7ee43777 36648 php optional php5-odbc_5.4.4-14+deb7u1_amd64.deb
 40ba0858e31cac04519240f93ee51eed 61434 php optional php5-pgsql_5.4.4-14+deb7u1_amd64.deb
 ed06ad2cfd42e7dc724cb5dca061c0e9 8898 php optional php5-pspell_5.4.4-14+deb7u1_amd64.deb
 524b697e43570c36bec3193bcc633a77 5190 php optional php5-recode_5.4.4-14+deb7u1_amd64.deb
 9558081aaf82ebd962628918356294ee 21800 php optional php5-snmp_5.4.4-14+deb7u1_amd64.deb
 4b2c09c3329713c1005c9ddde8c7e424 30342 php optional php5-sqlite_5.4.4-14+deb7u1_amd64.deb
 6a219de3444eaf6a3620196367a02721 28152 php optional php5-sybase_5.4.4-14+deb7u1_amd64.deb
 dc5d163c1a3c0e3fecb8a07b6dddc52c 19594 php optional php5-tidy_5.4.4-14+deb7u1_amd64.deb
 5e89ec63060d9eb355801e33916f7f03 36282 php optional php5-xmlrpc_5.4.4-14+deb7u1_amd64.deb
 11c90249102385a4d0a7ed60dbc2aa34 15412 php optional php5-xsl_5.4.4-14+deb7u1_amd64.deb
 aeb815822eaa929599317329c7eaf16e 1026 php optional php5_5.4.4-14+deb7u1_all.deb
 b61becb22c80045949abd33c9aa6fc1f 367398 php optional php-pear_5.4.4-14+deb7u1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGd+GgACgkQ9OZqfMIN8nOXzACgqPbVAouVcjREfV/igHr1NIpq
XPEAn0bqGvlbuzadc7zz0qodwpSNLdcn
=TO6G
-----END PGP SIGNATURE-----




Marked as fixed in versions php5/5.5.0~rc3+dfsg-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sun, 01 Dec 2013 02:36:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Dec 2013 07:30:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:33:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.